public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: sys-kernel/linux-firmware/files/
@ 2023-12-20 14:16 Mike Pagano
  0 siblings, 0 replies; 2+ messages in thread
From: Mike Pagano @ 2023-12-20 14:16 UTC (permalink / raw
  To: gentoo-commits

commit:     2db2bb82b270c2d5ac1d53cbc3ed34212918a473
Author:     Mike Pagano <mpagano <AT> gentoo <DOT> org>
AuthorDate: Wed Dec 20 14:16:29 2023 +0000
Commit:     Mike Pagano <mpagano <AT> gentoo <DOT> org>
CommitDate: Wed Dec 20 14:16:29 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2db2bb82

sys-kernel/linux-firmware: Remove unused patch

Signed-off-by: Mike Pagano <mpagano <AT> gentoo.org>

 .../linux-firmware-remove-rdfind-dep-and-use.patch | 34 ----------------------
 1 file changed, 34 deletions(-)

diff --git a/sys-kernel/linux-firmware/files/linux-firmware-remove-rdfind-dep-and-use.patch b/sys-kernel/linux-firmware/files/linux-firmware-remove-rdfind-dep-and-use.patch
deleted file mode 100644
index 83646a073224..000000000000
--- a/sys-kernel/linux-firmware/files/linux-firmware-remove-rdfind-dep-and-use.patch
+++ /dev/null
@@ -1,34 +0,0 @@
---- a/copy-firmware.sh	2023-11-25 18:07:49.362441380 -0500
-+++ b/copy-firmware.sh	2023-11-25 18:19:03.612907595 -0500
-@@ -69,7 +69,7 @@ if [ -z "$destdir" ]; then
- 	exit 1
- fi
- 
--if ! which rdfind 2>/dev/null >/dev/null; then
-+if [ -n "$LINUX_FIRMWARE_DO_DEDUPE" ] && ! which rdfind 2>/dev/null >/dev/null; then
- 	echo "ERROR: rdfind is not installed"
- 	exit 1
- fi
-@@ -87,13 +87,15 @@ grep -E '^(RawFile|File):' WHENCE | sed
-     fi
- done
- 
--$verbose "Finding duplicate files"
--rdfind -makesymlinks true -makeresultsfile false "$destdir" >/dev/null
--find "$destdir" -type l | while read -r l; do
--	target="$(realpath "$l")"
--	$verbose "Correcting path for $l"
--	ln -fs "$(realpath --relative-to="$(dirname "$(realpath -s "$l")")" "$target")" "$l"
--done
-+if [ -n "$LINUX_FIRMWARE_DO_DEDUPE" ]; then
-+	$verbose "Finding duplicate files"
-+	rdfind -makesymlinks true -makeresultsfile false "$destdir" >/dev/null
-+	find "$destdir" -type l | while read -r l; do
-+		target="$(realpath "$l")"
-+		$verbose "Correcting path for $l"
-+		ln -fs "$(realpath --relative-to="$(dirname "$(realpath -s "$l")")" "$target")" "$l"
-+	done
-+fi
- 
- # shellcheck disable=SC2162 # file/folder name can include escaped symbols
- grep -E '^Link:' WHENCE | sed -e 's/^Link: *//g;s/-> //g' | while read f d; do


^ permalink raw reply related	[flat|nested] 2+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sys-kernel/linux-firmware/files/
@ 2024-04-24 12:51 Conrad Kostecki
  0 siblings, 0 replies; 2+ messages in thread
From: Conrad Kostecki @ 2024-04-24 12:51 UTC (permalink / raw
  To: gentoo-commits

commit:     879205b79823651e90fa0c8007b7ae0dca8101e8
Author:     Michael Mair-Keimberger <mmk <AT> levelnine <DOT> at>
AuthorDate: Mon Apr 22 16:41:42 2024 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Wed Apr 24 12:50:45 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=879205b7

sys-kernel/linux-firmware: remove unused patch

Signed-off-by: Michael Mair-Keimberger <mmk <AT> levelnine.at>
Closes: https://github.com/gentoo/gentoo/pull/36359
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 .../files/linux-firmware-copy-firmware-r3.patch    | 59 ----------------------
 1 file changed, 59 deletions(-)

diff --git a/sys-kernel/linux-firmware/files/linux-firmware-copy-firmware-r3.patch b/sys-kernel/linux-firmware/files/linux-firmware-copy-firmware-r3.patch
deleted file mode 100644
index 0801b60f5ffa..000000000000
--- a/sys-kernel/linux-firmware/files/linux-firmware-copy-firmware-r3.patch
+++ /dev/null
@@ -1,59 +0,0 @@
-From 4eee756fa1e02c3e8ea168ac0efa16b30dae3b25 Mon Sep 17 00:00:00 2001
-From: Mike Pagano <mpagano@gentoo.org>
-Date: Sat, 23 Dec 2023 13:14:58 -0500
-Subject: [PATCH] [PATCH] copy-firmware.sh: Support passing in firmware files
- to install
-Cc: mpagano@gentoo.org
-
-This change adds support to copy-firmware.sh to accept a space separated
-list of firmware files to install.
-
-This allows our users to define a small subset of needed firmware files
-their system requires without installing every firmware file included
-from the repository.
-
-Signed-off-by: Mike Pagano <mpagano@gentoo.org>
----
- copy-firmware.sh | 12 ++++++++++++
- 1 file changed, 12 insertions(+)
-
-diff --git a/copy-firmware.sh b/copy-firmware.sh
-index 6757c6ce..d954230d 100755
---- a/copy-firmware.sh
-+++ b/copy-firmware.sh
-@@ -50,6 +50,16 @@ while test $# -gt 0; do
-             shift
-             ;;
- 
-+        --firmware-list)
-+            if [ -n "$2" ]; then
-+                FIRMWARE_LIST=$2
-+                shift 2
-+            else
-+                echo "ERROR: '--firmware-list' requires a non-empty option argument of firmware files to install"
-+                exit 1
-+            fi
-+            ;;
-+
-         -*)
-             if test "$compress" = "cat"; then
-                 echo "ERROR: unknown command-line option: $1"
-@@ -85,6 +95,7 @@ fi
- # shellcheck disable=SC2162 # file/folder name can include escaped symbols
- grep -E '^(RawFile|File):' WHENCE | sed -E -e 's/^(RawFile|File): */\1 /;s/"//g' | while read k f; do
-     test -f "$f" || continue
-+	   [ -n "${FIRMWARE_LIST}" ]  && if ! echo "${FIRMWARE_LIST}" | grep -q "${f}"; then continue; fi
-     install -d "$destdir/$(dirname "$f")"
-     $verbose "copying/compressing file $f$compext"
-     if test "$compress" != "cat" && test "$k" = "RawFile"; then
-@@ -107,6 +118,7 @@ fi
- 
- # shellcheck disable=SC2162 # file/folder name can include escaped symbols
- grep -E '^Link:' WHENCE | sed -e 's/^Link: *//g;s/-> //g' | while read f d; do
-+	   [ -n "${FIRMWARE_LIST}" ]  && if ! echo "${FIRMWARE_LIST}" | grep -q "${f}"; then continue; fi
-     if test -L "$f$compext"; then
-         test -f "$destdir/$f$compext" && continue
-         $verbose "copying link $f$compext"
--- 
-2.41.0
-


^ permalink raw reply related	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2024-04-24 12:51 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2023-12-20 14:16 [gentoo-commits] repo/gentoo:master commit in: sys-kernel/linux-firmware/files/ Mike Pagano
  -- strict thread matches above, loose matches on Subject: below --
2024-04-24 12:51 Conrad Kostecki

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox